<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_do.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_fici.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_txt.inc.php');
include_once('../inc/fic_zc.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_fic.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../inc/func_mail.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../classes/phpmailer/class.phpmailer.php');
include_once('../classes/phpmailer/class.smtp.php');
include_once('../inc/mail.inc.php');
include_once('../classes/dirtool/class_dirtool.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$import_ok = TRUE;
$fam_ok = TRUE;
$import_fait = FALSE;
$fic_ok = TRUE;

$titre = $_POST['titre'];
$td = $_POST['td'];

// Vérification du type de demande
switch ($td) {
    case 'art' :
        // Contrôle des familles
        switch ($_POST['codefam']) {
            case 'I' :
                if (trim($_POST['s_fam_desc']) == '') {
                    $import_ok = FALSE;
                }
                break;
            default :
                break;
        }
        break;
    case 'cli' :
    case 'catm' :
    case 'mque' :
    case 'tl' :
    case 'dep' :
    case 'pays' :
    case 'villes' :
        break;
    default :
        $import_ok = FALSE;
        break;
}

// Vérification du mode du connecté (pour éviter les hacks)
switch ($td) {
    case 'cli' :
        if (valsession('niv_log') <= 3) {
            $import_ok = FALSE;
        }
        break;
    case 'art' :
    case 'catm' :
    case 'mque' :
    case 'tl' :
    case 'dep' :
    case 'pays' :
    case 'villes' :
        // Les agences n'ont droit qu'aux imports clients
        if (valsession('niv_log') <= 4) {
            $import_ok = FALSE;
        }
        break;
    default :
        $import_ok = FALSE;
        break;
}

if ($import_ok == TRUE) {
    $rech = '';
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    switch ($td) {
        case 'cli' :
            $rech = 'DESCRIBE `' . TBCLI . '`';
            break;
        case 'art' :
            $rech = 'DESCRIBE `' . TBPDT . '`';
            break;
        case 'catm' :
            $rech = 'DESCRIBE `' . TBRPCAT . '`';
            break;
        case 'mque' :
            $rech = 'DESCRIBE `' . TBMQUE . '`';
            break;
        case 'tl' :
            $rech = 'DESCRIBE `' . TBRLTL . '`';
            break;
        case 'dep' :
            $rech = 'DESCRIBE `' . TBDEP . '`';
            break;
        case 'pays' :
            $rech = 'DESCRIBE `' . TBPAYS . '`';
            break;
        case 'villes' :
            $rech = 'DESCRIBE `' . TBVILLES . '`';
            break;
    }
    if ($rech <> '') {
        $fields = $db->get_results($rech, ARRAY_A);
        foreach ($fields as $field) {
            $nom = $field['Field'];
            $aimporter = TRUE;
            switch ($td) {
                /****************************/
                /**          VILLES        **/
                /****************************/
                case 'villes' :
                    if ($nom == 'villes_id') {
                        $aimporter = FALSE;
                    }
                    break;
                /****************************/
                /**            PAYS        **/
                /****************************/
                case 'pays' :
                    if ($nom == 'pays_id') {
                        $aimporter = FALSE;
                    }
                    break;
                /******************************************************/
                /**            DEPARTEMENTS / REGIONS / ETATS        **/
                /******************************************************/
                case 'dep' :
                    if ($nom == 'dep_id') {
                        $aimporter = FALSE;
                    }
                    break;
                /******************************************************/
                /**                   TYPES LICENCES                **/
                /******************************************************/
                case 'tl' :
                    if ($nom == 'rltl_id') {
                        $aimporter = FALSE;
                    }
                    break;
                /******************************************************/
                /**                      MARQUES                     **/
                /******************************************************/
                case 'mque' :
                    if ($nom == 'mque_id') {
                        $aimporter = FALSE;
                    }
                    if ($nom == 'mque_ville') {
                        $nom_champ = 's_mque_cp';
                        $tab_nchampcsv['mque_cp'] = valpost('nom_champ');
                    }
                    break;
                /******************************************************/
                /**                CATEGORIES MATERIELS              **/
                /******************************************************/
                case 'catm' :
                    if ($nom == 'rpcat_id') {
                        $aimporter = FALSE;
                    }
                    break;
                /******************************************************/
                /**                    CLIENTS                       **/
                /******************************************************/
                case 'cli' :
                    if (($nom == 'cli_id') OR ($nom == 'cli_datecrea') OR ($nom == 'cli_codecrea') OR ($nom == 'cli_datemod') OR ($nom == 'cli_codemod') OR ($nom == 'cli_pass') OR (($nom == 'cli_prop') AND CheckNivLog('4'))) {
                        $aimporter = FALSE;
                    }
                    if (CheckNivLog('4') AND ($nom == 'cli_codedo')) {
                        $aimporter = FALSE;
                    }
                    if ($nom == 'cli_ville') {
                        $nom_champ = 's_cli_cp';
                        $tab_nchampcsv['cli_cp'] = valpost('nom_champ');
                    }

                    // Gestion des catégories
                    switch ($_POST['catcli']) {
                        case 'G' :
                            $gencat = TRUE;
                            break;
                        case 'S' :
                            $gencat = FALSE;
                            break;
                        default :
                            $gencat = TRUE;
                            break;
                    }

                    // Gestion des civilités
                    switch ($_POST['civcli']) {
                        case 'G' :
                            $genciv = TRUE;
                            break;
                        case 'S' :
                            $genciv = FALSE;
                            break;
                        default :
                            $genciv = TRUE;
                            break;
                    }

                    break;
                /******************************************************/
                /**                    ARTICLES                      **/
                /******************************************************/
                case 'art' :
                    // Construction du tableau des champs et de Numéros de champs choisis
                    if (($nom == 'pdt_id') OR ($nom == 'pdt_datecrea') OR ($nom == 'pdt_codecrea') OR ($nom == 'pdt_datemod') OR ($nom == 'pdt_codemod')) {
                        $aimporter = FALSE;
                    }

                    // Gestion des familles
                    switch ($_POST['codefam']) {
                        case 'I' :
                        case 'G' :
                            $genfam = TRUE;
                            break;
                        case 'S' :
                            $genfam = FALSE;
                            break;
                        default :
                            $genfam = TRUE;
                            break;
                    }

                    break;
                default :
                    break;
            }
            if ($aimporter == TRUE) {
                $nom_champ = 's_' . $nom;
                // Tableau donnant le Numéro de champs CSV à importer en fonction du nom MySQL
                $tab_nchampcsv[$nom] = valpost('nom_champ');
            }
        }
    }

    // Rajout des champs spécifiques
    switch ($td) {
        case 'art' :
            if ($_POST['codefam'] == 'I') {
                /*
				$rech2 = "SELECT fam_desc FROM `" .TBFAM. "`";
				$rs2 = mysql_query($rech2)or die(mysql_error());
				$nom2 = mysql_field_name($rs2,0);
				$nom2_champ="s_".$nom2;
				*/
                $nom2_champ = 's_fam_desc';
                $tab_nchampcsv[$nom2] = valpost($nom2_champ);
            }
            break;
        default :
            break;
    }
    close_database();

    // Chemin du fichier à importer
    switch (valsession('niv_log')) {
        case 4 :
            $row = lit_enr_age(valsession('code_log'), TRUE);
            if (is_array($row)) {
                extract($row);
                $fichier = $url_gfc . '/agences/' . strtolower($age_code) . '/imports/' . valpost('nomfic');
            } else {
                $fic_ok = FALSE;
            }
            break;
        case 5 :
        case 9 :
            $fichier = $url_gfc . '/imports/' . valpost('nomfic');
            break;
        default :
            $fic_ok = FALSE;
            break;
    }

    if ($fic_ok == TRUE) {
        // Variable d'encadrement
        $cadre = trim($_POST['cadre']);
        switch ($cadre) {
            case 'A' :
                $encadre = "'";
                break;
            default :
                $encadre = '"';
                break;
        }

        // Délimiteur
        $sep = trim($_POST['sep']);
        switch ($sep) {
            case 'V' :
                $delimiteur = ',';
                break;
            default :
                $delimiteur = ';';
                break;
        }


        // Lecture du fichier texte/CSV pour l'importation
        $handle = openfile($fichier, 'r');
        if ($handle) {
            $nligne = 0;
            $nb_erreurs = 0;
            $tab_code = [];
            $tab_detail = [];
            $tab_result = [];
            switch ($td) {
                /******************************************************/
                /**                    CLIENTS                       **/
                /******************************************************/
                case 'cli' :
                    $nsaisies_cat = 0;
                    $nsaisies_civ = 0;
                    $tab_cat_detail = [];
                    $tab_cat_result = [];
                    $tab_civ_detail = [];
                    $tab_civ_result = [];
                    $tab_codepass = [];
                    $tab_clirep = [];
                    break;
                /******************************************************/
                /**                    ARTICLES                      **/
                /******************************************************/
                case 'art' :
                    $nsaisies_fam = 0;
                    $tab_fam_detail = [];
                    $tab_fam_result = [];
                    break;
                default :
                    break;
            }

            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

            while (($tab_csv_nfields = fgetcsv($handle, 0, $delimiteur, $encadre)) !== FALSE) {
                $ligneok = TRUE;
                switch ($nligne) {
                    case 0 :
                        if ($_POST['ligtitre'] == 'N') {
                            $ligneok = FALSE;
                        }
                        break;
                    default :
                        break;
                }
                if ($ligneok == TRUE) {
                    $tab_csv_nfields = clean_str($tab_csv_nfields, false);
                    $tab_csv_nfields = encode_str2($tab_csv_nfields);

                    switch ($td) {
                        /******************************************************/
                        /**                    CLIENTS                       **/
                        /******************************************************/
                        case 'cli' :

                            // Récupération valeurs de champs primordiales avec nettoyage
                            $catcli = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_cat']]), 0, 5);
                            $propcli = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_prop']]);
                            $codedo = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_codedo']]);
                            $codecli = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_code']]);
                            $typcli = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_type']]);
                            if ($_POST['s_cli_ste'] == '-1') {
                                $ste = '';
                            } else {
                                $ste = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_ste']]);
                            }
                            $civilite = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_civilite']]), 0, 5);
                            $prenom = ucname($tab_csv_nfields[$tab_nchampcsv['cli_prenom']]);
                            $nom = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_nom']]);
                            $adr1 = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_adr1']]);
                            $dep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_dep']]);
                            $cp = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_cp']]);
                            $ville = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_ville']]);
                            $pays = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_codepays']]);
                            $climail = strtolower($tab_csv_nfields[$tab_nchampcsv['cli_email']]);
                            $cptacli = str_majuscules($tab_csv_nfields[$tab_nchampcsv['cli_cpta']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            if ($ste <> '') {
                                $tab_detail[$nligne + 1] = $ste . ', ' . $civilite . ' ' . $prenom . ' ' . $nom;
                            } else {
                                $tab_detail[$nligne + 1] = $civilite . ' ' . $prenom . ' ' . $nom;
                            }

                            // Un code client est dans le fichier d'importation ?
                            // Si non, on génère un code
                            // Si oui, on vérifie si présent...si pas présent, on génère un code
                            // .
                            // On Contrôle également les erreurs en cas d'importation par une agence

                            $erreur_fatale = FALSE;

                            if ($_POST['s_cli_code'] == '-1') {
                                $genere_code = TRUE;
                            } else {
                                $genere_code = FALSE;

                                if ($codecli <> '') {
                                    // On vérifie le code client est bien alphanumérique
                                    if (preg_match("/^[a-z,A-Z,0-9]*$/", $codecli)) {
                                        $rech = 'SELECT cli_id FROM `' . TBCLI . "` WHERE cli_code = '$codecli'";
                                        $row = $db->get_row($rech, ARRAY_A);
                                        // Il existe
                                        // Si c'est une agence qui importe, on Contrôle que le client est bien à l'agence
                                        // (On ne traite pas les clients existants et non affectés, ou les clients qui
                                        // appartiennent à une autre agence)
                                        if ($row) {
                                            if (CheckNivLog('4')) {
                                                if ($row) {
                                                    extract($row);
                                                    if (valsession('code_log') <> $cli_prop) {
                                                        $erreur_fatale = TRUE;
                                                    }
                                                }
                                            }
                                        } // N'existe pas...on crée un code
                                        else {
                                            $genere_code = TRUE;
                                        }
                                    } else {
                                        $genere_code = TRUE;
                                    }
                                } else {
                                    $genere_code = TRUE;
                                }
                            }

                            //Si pas d'erreur fatale, on traite
                            if ($erreur_fatale == FALSE) {
                                // On ne traite que les lignes avec les bonnes informations
                                if (($catcli <> '') AND ($typcli >= 0) AND ($typcli <= 2) AND ($civilite <> '') AND ($prenom <> '') AND ($nom <> '') AND ($adr1 <> '') AND ($dep <> '') AND ($cp <> '') AND ($ville <> '') AND ($pays <> '') AND ($cptacli >= 0) AND ($cptacli <= 3)) {
                                    // Contrôle que le Département (s'il y en a un) est bien dans la zone de chalandise
                                    // en cas d'importation par une agence
                                    if (CheckNivLog('4')) {
                                        $rech = 'SELECT * FROM `' . TBAGE . "` WHERE `age_code` = '" . valsession('code_log') . "' AND `age_codepays` = '" . $pays . "'";
                                        $row = $db->get_row($rech, ARRAY_A);
                                        if ($row) {
                                            extract($row);
                                            if (dep_in_zcc_age_open($dep, $age_codepays, $age_code, FALSE) == FALSE) {
                                                $erreur_fatale = TRUE;
                                            }
                                        }
                                    }

                                    if ($erreur_fatale == FALSE) {
                                        // On vérifie le code catégorie est bien alphanumérique
                                        if (preg_match("/^[a-z,A-Z,0-9]*$/", $catcli)) {
                                            // On vérifie le code civilité est bien alphanumérique
                                            if ((preg_match("/^[a-z,A-Z,0-9]*$/", $civilite) AND ($civilite <> 'M.')) OR ($civilite == 'M.')) {
                                                // Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
                                                $clitelf = $tab_csv_nfields[$tab_nchampcsv['cli_telf']];
                                                $clifax = $tab_csv_nfields[$tab_nchampcsv['cli_fax']];
                                                $clitelp = $tab_csv_nfields[$tab_nchampcsv['cli_telp']];

                                                // On vérifie la catégorie client
                                                $genere_cat = FALSE;
                                                $rech = 'SELECT COUNT(*) FROM `' . TBCCAT . "` WHERE cat_code = '$catcli'";
                                                $nbres = $db->get_var($rech);
                                                // N'existe pas...on crée un code
                                                if ($nbres == 0) {
                                                    $genere_cat = TRUE;
                                                }

                                                // On vérifie le code propriétaire
                                                $propok = TRUE;
                                                if (valsession('niv_log') >= 5) {
                                                    if ($_POST['s_cli_prop'] != '-1') {
                                                        // On vérifie le code agence est bien alphanumérique
                                                        if (preg_match("/^[a-z,A-Z,0-9]*$/", $propcli)) {
                                                            $rech = 'SELECT COUNT(*) FROM `' . TBAGE . "` WHERE age_code = '$propcli'";
                                                            $nbres = $db->get_var($rech);
                                                            if ($nbres == 0) {
                                                                $propok = FALSE;
                                                            }
                                                        } else {
                                                            $propok = FALSE;
                                                        }
                                                    }
                                                }

                                                if ($propok == TRUE) {
                                                    // On vérifie le code donneur d'ordres
                                                    $dook = TRUE;
                                                    if (valsession('niv_log') >= 5) {
                                                        if ($_POST['s_cli_codedo'] != '-1') {
                                                            if (trim($codedo) <> '') {
                                                                // On vérifie le code est bien alphanumérique
                                                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codedo)) {
                                                                    $rech = 'SELECT COUNT(*) FROM `' . TBDO . "` WHERE do_code = '$codedo'";
                                                                    $nbres = $db->get_var($rech);
                                                                    if ($nbres == 0) {
                                                                        $dook = FALSE;
                                                                    }
                                                                } else {
                                                                    $dook = FALSE;
                                                                }
                                                            }
                                                        }
                                                    }

                                                    if ($dook == TRUE) {
                                                        // On vérifie le pays
                                                        $rech = 'SELECT * FROM `' . TBPAYS . "` WHERE pays_code = '" . $db->escape($pays) . "'";
                                                        $row = $db->get_row($rech, ARRAY_A);
                                                        if ($row) {
                                                            // On vérifie le Département
                                                            $rech = 'SELECT * FROM `' . TBDEP . "` WHERE dep_code = '" . $db->escape($dep) . "' AND dep_codepays = '" . $db->escape($pays) . "'";
                                                            $row = $db->get_row($rech, ARRAY_A);
                                                            if ($row) {
                                                                // On vérifie la combinaison CP/Ville/Département/Pays
                                                                $rech = 'SELECT * FROM `' . TBVILLES . "` WHERE villes_cp = '" . $db->escape($cp) . "' AND villes_nom = '" . $db->escape($ville) . "' AND villes_dep='" . $db->escape($dep) . "' AND villes_codepays='" . $db->escape($pays) . "'";
                                                                $row = $db->get_row($rech, ARRAY_A);
                                                                if ($row) {
                                                                    extract($row);
                                                                    $idvilles = $villes_id;
                                                                    // On vérifie le téléphone fixe
                                                                    $telfok = TRUE;
                                                                    if ($clitelf <> '') {
                                                                        $expr = GiveExpr_tel($pays);
                                                                        if (!preg_match('/' . $expr . '/', $clitelf)) {
                                                                            $telfok = FALSE;
                                                                        }
                                                                    }
                                                                    if ($telfok == TRUE) {
                                                                        // On vérifie le fax
                                                                        $faxok = TRUE;
                                                                        if ($clifax <> '') {
                                                                            if (!preg_match('/' . $expr . '/', $clifax)) {
                                                                                $faxok = FALSE;
                                                                            }
                                                                        }
                                                                        if ($faxok == TRUE) {
                                                                            // On vérifie le téléphone portable
                                                                            $portok = TRUE;
                                                                            if ($cliport <> '') {
                                                                                $expr = GiveExpr_telp($pays);
                                                                                if (!preg_match('/' . $expr . '/', $clitelp)) {
                                                                                    $portok = FALSE;
                                                                                }
                                                                            }
                                                                            if ($portok == TRUE) {
                                                                                // On vérifie l'email
                                                                                $mailok = TRUE;
                                                                                if ($climail <> '') {
                                                                                    if (!preg_match("/^[a-z0-9_\-]+(\.[a-z0-9_\-]+)*@[a-z0-9\-]*[a-z,A-Z,0-9](\.[a-z0-9\-]*[a-z,A-Z,0-9])*[\.][a-z]{2,3}$/", $climail)) {
                                                                                        $mailok = FALSE;
                                                                                    }
                                                                                }
                                                                                if ($mailok == TRUE) {
                                                                                    $rs2 = '';

                                                                                    // Si code à générer, c'est un nouveau client
                                                                                    if ($genere_code == TRUE) {
                                                                                        $rech2 = 'SELECT * FROM `' . TBCONS . '`';
                                                                                        $row2 = $db->get_row($rech2, ARRAY_A);
                                                                                        if ($row2) {
                                                                                            extract($row2);

                                                                                            $rcli = $cons_rcli;
                                                                                            $ncli = $cons_ncli;
                                                                                            $ncli++;
                                                                                            settype($ncli, 'string');
                                                                                            $format = "%'07s";
                                                                                            $nclif = sprintf($format, $ncli);
                                                                                            $codecree = $rcli . $nclif;

                                                                                            $rcmaj = 'UPDATE `' . TBCONS . "` SET `cons_ncli`='" . $db->escape($ncli) . "'  WHERE `cons_id` = '" . $cons_id . "'";
                                                                                            $db->query($rcmaj);
                                                                                        }

                                                                                        // création du répertoire de stockage spécifique aux clients
                                                                                        $rep_clients = $url_gfc . '/clients';
                                                                                        $desc_rep_clients = _('Répertoire spécifique aux clients');
                                                                                        // Si le sous-répertoire spécifique aux clients n'existe pas, on le crée
                                                                                        if (cree_dir($rep_clients)) {
                                                                                            $rech = 'INSERT INTO `' . TBFIC . '`';
                                                                                            $rech .= ' (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES';
                                                                                            $rech .= " ('" . $db->escape($rep_clients) . "','0','" . $db->escape($desc_rep_clients) . "','$datea','$admin_code','')";
                                                                                            $db->query($rech);
                                                                                        }

                                                                                        // création du répertoire de stockage spécifique à ce client
                                                                                        $rep_ce_client = $rep_clients . '/' . strtolower($codecree);
                                                                                        if ($ste <> '') {
                                                                                            $desc_rep_ce_client = _('Répertoire client') . ' ' . $ste . ' (' . $codecree . ')';
                                                                                            $detail_rep_ce_client = _('Répertoire permettant le stockage des fichiers pour le client') . ' ' . $ste . ' (' . $codec . ')';
                                                                                        } else {
                                                                                            $desc_rep_ce_client = _('Répertoire client') . ' ' . $nom . ' ' . $prenom . ' (' . $codecree . ')';
                                                                                            $detail_rep_ce_client = _('Répertoire permettant le stockage des fichiers pour le client') . ' ' . $nom . ' ' . $prenom . ' (' . $codec . ')';
                                                                                        }

                                                                                        if (cree_dir($rep_ce_client)) {
                                                                                            // On ajoute le détail dans le fichier MySQL
                                                                                            $rech = 'INSERT INTO `' . TBFIC . '`';
                                                                                            $rech .= ' (fic_nom,fic_type,fic_desc,fic_detail,fic_datecrea,fic_codecrea,fic_nbtel) VALUES';
                                                                                            $rech .= " ('" . $db->escape($rep_ce_client) . "','0','" . $db->escape($desc_rep_ce_client) . "','" . $db->escape($detail_rep_ce_client) . "','$datea','$admin_code','')";
                                                                                            $db->query($rech);
                                                                                        }

                                                                                        $tab_clirep[$codecree] = $rep_ce_client;

                                                                                        $rs2 = 'INSERT INTO `' . TBCLI . '` SET';
                                                                                        $rs2 .= " `cli_datecrea`='" . $datea . "',";
                                                                                        $rs2 .= " `cli_codecrea`='" . valsession('code_log') . "',";
                                                                                        $rs2 .= " `cli_datemod`='" . $datea . "',";
                                                                                        $rs2 .= " `cli_codemod`='" . valsession('code_log') . "',";
                                                                                        $rs2 .= " `cli_code`='" . $codecree . "',";

                                                                                        $pass = cremdp(FALSE);
                                                                                        $passcrypt = md5($pass);
                                                                                        $rs2 .= " `cli_pass`='" . $passcrypt . "',";

                                                                                        // Si c'est une agence qui importe, elle est "propriétaire" du client
                                                                                        if (CheckNivLog('4')) {
                                                                                            $rs2 .= " `cli_prop`='" . valsession('code_log') . "',";
                                                                                        }
                                                                                        foreach ($tab_nchampcsv as $key => $value) {
                                                                                            if ($value >= 0) {
                                                                                                if (($key <> 'cli_ville') AND ($key <> 'cli_code')) {
                                                                                                    if ($key == 'cli_cp') {
                                                                                                        $rs2 .= " `cli_ville`='" . $idvilles . "',";
                                                                                                    } else {
                                                                                                        $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                        $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                                                        $tab_code[$nligne + 1] = $codecree;
                                                                                        $tab_result[$nligne + 1] = _('Ajouté');
                                                                                        $tab_codepass[$codecree] = $pass;

                                                                                        // Ajout du compte et mot de passe
                                                                                        $log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
                                                                                        $rech = 'INSERT INTO `' . TBPW . "` (pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codecree','$passcrypt','1','$dateheurea','$log_ip',";
                                                                                        if ($_POST['actcli'] == 'O') {
                                                                                            $rech .= "'1')";
                                                                                        } else {
                                                                                            $rech .= "'0')";
                                                                                        }
                                                                                        $db->query($rech);

                                                                                    } // Si code existant, c'est un client existant
                                                                                    else {
                                                                                        if ($_POST['majcli'] == 'O') // Oui, si demandé (sinon, rien faire)
                                                                                        {
                                                                                            $rs2 = 'UPDATE  `' . TBCLI . '` SET';
                                                                                            $rs2 .= " `cli_datemod`='" . $datea . "',";
                                                                                            $rs2 .= " `cli_codemod`='" . valsession('code_log') . "',";
                                                                                            foreach ($tab_nchampcsv as $key => $value) {
                                                                                                if ($value >= 0) {
                                                                                                    if ($key <> 'cli_ville') {
                                                                                                        if ($key == 'cli_cp') {
                                                                                                            $rs2 .= " `cli_ville`='" . $idvilles . "',";
                                                                                                        } else {
                                                                                                            $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                                                            $rs2 .= " WHERE `cli_code`='" . $codecli . "'";
                                                                                            $tab_result[$nligne + 1] = _('Modifié');

                                                                                        } else {
                                                                                            $tab_result[$nligne + 1] = _('Ignoré (existe déjà)');
                                                                                        }
                                                                                        $tab_code[$nligne + 1] = $codecli;
                                                                                    }

                                                                                    // création ou mise à jour fiche client
                                                                                    if ($rs2 <> '') {
                                                                                        $db->query($rs2);
                                                                                    }

                                                                                    // Traitement des catégories
                                                                                    $rech = 'SELECT * FROM `' . TBCCAT . "` WHERE cat_code = '" . $db->escape($catcli) . "'";
                                                                                    $rs = $db->get_row($rech, ARRAY_A);

                                                                                    $rs3 = '';

                                                                                    // Existe, on ne fait rien
                                                                                    if ($row) {
                                                                                        extract($row);
                                                                                        $tab_cat_result[$catcli] = _('Ignorée (existe déjà)');
                                                                                    } // N'existe pas...on insère ?
                                                                                    else {
                                                                                        $cat_desc = _('CATEGORIE CLIENT') . ' "' . $catcli . '"';

                                                                                        $rs3 = 'INSERT INTO `' . TBCCAT . "` (cat_code,cat_desc) VALUES ('" . $db->escape($catcli) . "','" . $db->escape($cat_desc) . "')";
                                                                                        if ($gencat == TRUE) {
                                                                                            $tab_cat_result[$catcli] = _('Créée');
                                                                                        } else {
                                                                                            $tab_cat_result[$catcli] = _('Saisir');
                                                                                            $nsaisies_cat++;
                                                                                        }

                                                                                    }
                                                                                    $tab_cat_detail[$catcli] = $cat_desc;
                                                                                    if ($rs3 <> '') {
                                                                                        $db->query($rs3);
                                                                                    }

                                                                                    // Traitement des civilités
                                                                                    $rech = 'SELECT * FROM `' . TBCIV . "` WHERE civ_code = '" . $civilite . "'";
                                                                                    $row = $db->get_row($rech, ARRAY_A);

                                                                                    $rs3 = '';

                                                                                    // Existe, on ne fait rien
                                                                                    if ($row) {
                                                                                        extract($row);
                                                                                        $tab_civ_result[$civilite] = _('Ignorée (existe déjà)');
                                                                                    } else // N'existe pas...on insère ?
                                                                                    {
                                                                                        $civ_desc = "CIVILITE \"" . $civilite . "\"";

                                                                                        $rs3 = 'INSERT INTO `' . TBCIV . "` (civ_code,civ_desc,civ_delok) VALUES ('" . $db->escape($civilite) . "','" . $db->escape($civ_desc) . "','1')";
                                                                                        if ($genciv == TRUE) {
                                                                                            $tab_civ_result[$civilite] = _('Créée');
                                                                                        } else {
                                                                                            $tab_civ_result[$civilite] = _('Saisir');
                                                                                            $nsaisies_civ++;
                                                                                        }

                                                                                    }
                                                                                    $tab_civ_detail[$civilite] = $civ_desc;
                                                                                    if ($rs3 <> '') {
                                                                                        $db->query($rs3);
                                                                                    }
                                                                                } else {
                                                                                    $nb_erreurs++;
                                                                                    $tab_result[$nligne + 1] .= _('Email erroné');
                                                                                }
                                                                            } else {
                                                                                $nb_erreurs++;
                                                                                $tab_result[$nligne + 1] .= _('Portable erroné');
                                                                            }
                                                                        } else {
                                                                            $nb_erreurs++;
                                                                            $tab_result[$nligne + 1] .= _('Fax erroné');
                                                                        }
                                                                    } else {
                                                                        $nb_erreurs++;
                                                                        $tab_result[$nligne + 1] .= _('Tel. fixe érroné');
                                                                    }
                                                                } else {
                                                                    $nb_erreurs++;
                                                                    $tab_result[$nligne + 1] .= _('CP/ville erronée');
                                                                }
                                                            } else {
                                                                $nb_erreurs++;
                                                                $tab_result[$nligne + 1] .= _('Département inconnu');
                                                            }
                                                        } else {
                                                            $nb_erreurs++;
                                                            $tab_result[$nligne + 1] .= _('Pays inconnu');
                                                        }
                                                    } else {
                                                        $nb_erreurs++;
                                                        $tab_result[$nligne + 1] .= _("Donneur d'ordres inconnu");
                                                    }
                                                } else {
                                                    $nb_erreurs++;
                                                    $tab_result[$nligne + 1] .= _('Agence propriétaire inconnue');
                                                }
                                            } else {
                                                $nb_erreurs++;
                                                $tab_result[$nligne + 1] .= _('Mauvais code civilité');
                                            }

                                        } else {
                                            $nb_erreurs++;
                                            $tab_result[$nligne + 1] .= _('Mauvais code catégorie');
                                        }
                                    } else {
                                        $nb_erreurs++;
                                        $tab_result[$nligne + 1] .= _('Pas dans la zone de chalandise');
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Erreur fatale : Impossible à importer');
                            }
                            break;

                        /******************************************************/
                        /**                    ARTICLES                      **/
                        /******************************************************/
                        case 'art' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codeart = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['pdt_code']]), 0, 20);
                            $tab_csv_nfields[$tab_nchampcsv['pdt_code']] = $codeart;
                            $desart = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['pdt_des']]), 0, 50);
                            $tab_csv_nfields[$tab_nchampcsv['pdt_des']] = $desart;
                            $codefam = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['pdt_fam']]), 0, 20);
                            $tab_csv_nfields[$tab_nchampcsv['pdt_fam']] = $codefam;
                            $desfam = '';
                            if ($_POST['codefam'] == 'I') {
                                $desfam = substr(str_majuscules($tab_csv_nfields[$tab_nchampcsv['fam_desc']]), 0, 50);
                                $tab_csv_nfields[$tab_nchampcsv['fam_desc']] = $desfam;
                            }

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $desart;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codeart <> '') AND ($desart <> '') AND ($codefam <> '')) {
                                // Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
                                $puttc = $tab_csv_nfields[$tab_nchampcsv['pdt_puttc']];
                                // On "nettoie" la virgule si présente
                                $puttc = str_replace(',', '.', $puttc);
                                $tab_csv_nfields[$tab_nchampcsv['pdt_puttc']] = $puttc;
                                $vendu = $tab_csv_nfields[$tab_nchampcsv['pdt_vendu']];
                                // On "nettoie" les oui/O
                                $vendu = 0;
                                if ((strtolower($vendu) == _('o')) OR (strtolower($vendu) == _('oui'))) {
                                    $vendu = 1;
                                }
                                $tab_csv_nfields[$tab_nchampcsv['pdt_vendu']] = $vendu;

                                $tab_art_detail[$codeart] = $desart;

                                // On vérifie le champ prix de vente (réel ?)
                                if (preg_match("/^[0-9]+(\.[0-9]{0,})?$/", $puttc)) {
                                    // On vérifie le champ "vendu" (0 ou 1)
                                    if (preg_match('/([0-1]{1})/', $vendu)) {
                                        $rech = 'SELECT * FROM `' . TBPDT . "` WHERE pdt_code = '" . $db->escape($codeart) . "'";
                                        $row = $db->get_row($rech, ARRAY_A);

                                        $rs2 = '';

                                        // Existe, on met à jour ?
                                        if ($row) {
                                            if ($_POST['majart'] == 'O') // Oui, si demandé (sinon, rien faire)
                                            {
                                                $rs2 = 'UPDATE  `' . TBPDT . '` SET';
                                                $rs2 .= " `pdt_datemod`='" . $datea . "',";
                                                $rs2 .= " `pdt_codemod`='" . valsession('code_log') . "',";
                                                foreach ($tab_nchampcsv as $key => $value) {
                                                    if ($key <> 'fam_desc') {
                                                        if ($value >= 0) {
                                                            $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                        }
                                                    }
                                                }
                                                $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                $rs2 .= " WHERE `pdt_code`='" . $codeart . "'";
                                                $tab_result[$nligne + 1] = _('Modifié');
                                            } else {
                                                $tab_result[$nligne + 1] = _('Ignoré (existe déjà)');
                                            }
                                        } else // N'existe pas...on insère
                                        {
                                            $rs2 = 'INSERT INTO `' . TBPDT . '` SET';
                                            $rs2 .= " `pdt_datecrea`='" . $datea . "',";
                                            $rs2 .= " `pdt_codecrea`='" . valsession('code_log') . "',";
                                            $rs2 .= " `pdt_datemod`='" . $datea . "',";
                                            $rs2 .= " `pdt_codemod`='" . valsession('code_log') . "',";
                                            foreach ($tab_nchampcsv as $key => $value) {
                                                if ($key <> 'fam_desc') {
                                                    if ($value >= 0) {
                                                        $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                    }
                                                }
                                            }
                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                            $tab_result[$nligne + 1] = _('Ajouté');
                                        }
                                        $tab_code[$nligne + 1] = $codeart;
                                        if ($rs2 <> '') {
                                            $db->query($rs2);
                                        }

                                        // Traitement des familles
                                        $rech = 'SELECT * FROM `' . TBFAM . "` WHERE fam_code = '" . $db->escape($codefam) . "'";
                                        $row = $db->get_row($rech, ARRAY_A);

                                        $rs3 = '';

                                        // Si existe, on ne fait rien
                                        if ($row) {
                                            extract($row);
                                            $tab_fam_result[$codefam] = _('Ignorée (existe déjà)');
                                        } // N'existe pas...on insère ?
                                        else {
                                            $fam_desc = $desfam;
                                            if ($desfam == '') {
                                                $fam_desc = _('FAMILLE') . '"' . $codefam . '"';
                                            }

                                            $rs3 = 'INSERT INTO `' . TBFAM . "` (fam_code,fam_desc) VALUES ('" . $db->escape($codefam) . "','" . $db->escape($fam_desc) . "')";
                                            if ($genfam == TRUE) {
                                                $tab_fam_result[$codefam] = _('Créée');
                                            } else {
                                                $tab_fam_result[$codefam] = _('Saisir');
                                                $nsaisies_fam++;
                                            }

                                        }
                                        $tab_fam_detail[$codefam] = $fam_desc;
                                        if ($rs3 <> '') {
                                            $db->query($rs3);
                                        }
                                    } else {
                                        $nb_erreurs++;
                                        $tab_result[$nligne + 1] .= _("Pas '0' ou '1'");
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _("Décimale pas en '.'");
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }
                            break;

                        /******************************************************/
                        /**                CATEGORIES MATERIELS              **/
                        /******************************************************/
                        case 'catm' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codecatm = str_majuscules($tab_csv_nfields[$tab_nchampcsv['rpcat_code']]);
                            $descatm = str_majuscules($tab_csv_nfields[$tab_nchampcsv['rpcat_desc']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $descatm;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codecatm <> '') AND ($descatm <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codecatm)) {
                                    $rech = 'SELECT * FROM `' . TBRPCAT . "` WHERE rpcat_code = '$codecatm'";
                                    $row = $db->get_row($rech, ARRAY_A);

                                    $rs2 = '';

                                    // Existe, on met à jour ?
                                    if ($row) {
                                        if ($_POST['majcatm'] == 'O') // Oui, si demandé (sinon, rien faire)
                                        {
                                            $rs2 = 'UPDATE  `' . TBRPCAT . '` SET';
                                            foreach ($tab_nchampcsv as $key => $value) {
                                                if ($value >= 0) {
                                                    $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                }
                                            }
                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                            $rs2 .= " WHERE `rpcat_code`='" . $codecatm . "'";
                                            $tab_result[$nligne + 1] = _('Modifié');
                                        } else {
                                            $tab_result[$nligne + 1] = _('Ignorée (existe déjà)');
                                        }
                                    } else // N'existe pas...on insère
                                    {
                                        $rs2 = 'INSERT INTO `' . TBRPCAT . '` SET';
                                        foreach ($tab_nchampcsv as $key => $value) {
                                            if ($value >= 0) {
                                                $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                            }
                                        }
                                        $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                        $tab_result[$nligne + 1] = _('Ajouté');
                                    }
                                    $tab_code[$nligne + 1] = $codecatm;
                                    if ($rs2 <> '') {
                                        $db->query($rs2);
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }

                            break;
                        /**************************************/
                        /**                PAYS              **/
                        /**************************************/
                        case 'pays' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codepays = str_majuscules($tab_csv_nfields[$tab_nchampcsv['pays_code']]);
                            $nompays = str_majuscules($tab_csv_nfields[$tab_nchampcsv['pays_nom']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $nompays;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codepays <> '') AND ($nompays <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codepays)) {
                                    $rech = 'SELECT * FROM `' . TBPAYS . "` WHERE pays_code = '$codepays'";
                                    $row = $db->get_row($rech, ARRAY_A);

                                    $rs2 = '';

                                    // Existe, on met à jour ?
                                    if ($row) {
                                        if ($_POST['majpays'] == 'O') // Oui, si demandé (sinon, rien faire)
                                        {
                                            $rs2 = 'UPDATE  `' . TBPAYS . '` SET';
                                            foreach ($tab_nchampcsv as $key => $value) {
                                                if ($value >= 0) {
                                                    $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                }
                                            }
                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                            $rs2 .= " WHERE `pays_code`='" . $codepays . "'";
                                            $tab_result[$nligne + 1] = _('Modifié');
                                        } else {
                                            $tab_result[$nligne + 1] = _('Ignorée (existe déjà)');
                                        }
                                    } else // N'existe pas...on insère
                                    {
                                        $rs2 = 'INSERT INTO `' . TBPAYS . '` SET';
                                        foreach ($tab_nchampcsv as $key => $value) {
                                            if ($value >= 0) {
                                                $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                            }
                                        }
                                        $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                        $tab_result[$nligne + 1] = _('Ajouté');
                                    }
                                    $tab_code[$nligne + 1] = $codepays;
                                    if ($rs2 <> '') {
                                        $db->query($rs2);
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }

                            break;
                        /******************************************************/
                        /**                       MARQUES                    **/
                        /******************************************************/
                        case 'mque' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codemque = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_code']]);
                            $desmque = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_ste']]);
                            $type = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_codemquet']]);
                            $adr1 = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_adr1']]);
                            $dep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_dep']]);
                            $cp = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_cp']]);
                            $ville = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_ville']]);
                            $pays = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_codepays']]);
                            $telf = str_majuscules($tab_csv_nfields[$tab_nchampcsv['mque_telf']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $desmque;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codemque <> '') AND ($desmque <> '') AND ($type >= 0) AND ($type <= 2) AND ($adr1 <> '') AND ($dep <> '') AND ($ville <> '') AND ($pays <> '') AND ($telf <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codemque)) {
                                    // Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
                                    $mquefax = $tab_csv_nfields[$tab_nchampcsv['mque_fax']];

                                    // On vérifie le pays
                                    $rech = 'SELECT COUNT(*) FROM `' . TBPAYS . "` WHERE pays_code = '" . $pays . "'";
                                    $nbres = $db->get_var($rech);
                                    if ($nbres == 1) {
                                        // On vérifie le Département
                                        $rech = 'SELECT COUNT(*) FROM `' . TBDEP . "` WHERE dep_code = '" . $dep . "' AND dep_codepays = '" . $pays . "'";
                                        $nbres = $db->get_var($rech);
                                        if ($nbres == 1) {
                                            // On vérifie la combinaison CP/Ville/Département/Pays
                                            $rech = 'SELECT * FROM `' . TBVILLES . "` WHERE villes_cp = '" . $cp . "' AND villes_nom = '" . $ville . "' AND villes_dep='" . $dep . "' AND villes_codepays='" . $pays . "'";
                                            $row = $db->get_row($rech, ARRAY_A);
                                            if ($row) {
                                                extract($row);
                                                $idvilles = $villes_id;
                                                // On vérifie le téléphone fixe
                                                $telfok = TRUE;
                                                if (!preg_match("/^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$/", $clitelf)) {
                                                    $telfok = FALSE;
                                                }
                                                if ($telfok == TRUE) {
                                                    // On vérifie le fax
                                                    $faxok = TRUE;
                                                    if ($mquefax <> '') {
                                                        if (!preg_match("/^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$/", $clifax)) {
                                                            $faxok = FALSE;
                                                        }
                                                    }
                                                    if ($faxok == TRUE) {
                                                        $rech = 'SELECT * FROM `' . TBMQUE . "` WHERE mque_code = '$codemque'";
                                                        $row = $db->get_row($rech, ARRAY_A);

                                                        $rs2 = '';

                                                        // Existe, on met à jour ?
                                                        if ($row) {
                                                            if ($_POST['majmque'] == 'O') // Oui, si demandé (sinon, ne rien faire)
                                                            {
                                                                $rs2 = 'UPDATE  `' . TBMQUE . '` SET';
                                                                foreach ($tab_nchampcsv as $key => $value) {
                                                                    if (($key <> 'mque_ville') AND ($key <> 'mque_code')) {
                                                                        if ($key == 'mque_cp') {
                                                                            $rs2 .= " `mque_ville`='" . $idvilles . "',";
                                                                        } else {
                                                                            $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                                        }
                                                                    }
                                                                }
                                                                $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                                $rs2 .= " WHERE `mque_code`='" . $codemque . "'";
                                                                $tab_result[$nligne + 1] = _('Modifié');
                                                            } else {
                                                                $tab_result[$nligne + 1] = _('Ignorée (existe déjà)');
                                                            }
                                                        } else // N'existe pas...on insère
                                                        {
                                                            $rs2 = 'INSERT INTO `' . TBMQUE . '` SET';
                                                            foreach ($tab_nchampcsv as $key => $value) {
                                                                if (($key <> 'mque_ville') AND ($key <> 'mque_code')) {
                                                                    if ($key == 'mque_cp') {
                                                                        $rs2 .= " `mque_ville`='" . $idvilles . "',";
                                                                    } else {
                                                                        $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                                    }
                                                                }
                                                            }
                                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                            $tab_result[$nligne + 1] = _('Ajouté');
                                                        }
                                                        $tab_code[$nligne + 1] = $codemque;
                                                        if ($rs2 <> '') {
                                                            $db->query($rs2);
                                                        }
                                                    } else {
                                                        $nb_erreurs++;
                                                        $tab_result[$nligne + 1] .= _('Fax erroné');
                                                    }
                                                } else {
                                                    $nb_erreurs++;
                                                    $tab_result[$nligne + 1] .= _('Tel. fixe érroné');
                                                }
                                            } else {
                                                $nb_erreurs++;
                                                $tab_result[$nligne + 1] .= _('CP/ville erronée');
                                            }
                                        } else {
                                            $nb_erreurs++;
                                            $tab_result[$nligne + 1] .= _('Département inconnu');
                                        }
                                    } else {
                                        $nb_erreurs++;
                                        $tab_result[$nligne + 1] .= _('Pays inconnu');
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }
                            break;
                        /******************************************************/
                        /**                   TYPES LICENCES                 **/
                        /******************************************************/
                        case 'tl' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codetl = str_majuscules($tab_csv_nfields[$tab_nchampcsv['rltl_code']]);
                            $destl = str_majuscules($tab_csv_nfields[$tab_nchampcsv['rltl_desc']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $destl;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codetl <> '') AND ($destl <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codetl)) {
                                    $rech = 'SELECT * FROM `' . TBRLTL . "` WHERE rltl_code = '$codetl'";
                                    $row = $db->get_row($rech, ARRAY_A);

                                    $rs2 = '';

                                    // Existe, on met à jour ?
                                    if ($row) {
                                        if ($_POST['majtl'] == 'O') // Oui, si demandé (sinon, rien faire)
                                        {
                                            $rs2 = 'UPDATE  `' . TBRLTL . '` SET';
                                            foreach ($tab_nchampcsv as $key => $value) {
                                                if ($value >= 0) {
                                                    $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                }
                                            }
                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                            $rs2 .= " WHERE `rltl_code`='" . $codetl . "'";
                                            $tab_result[$nligne + 1] = _('Modifié');
                                        } else {
                                            $tab_result[$nligne + 1] = _('Ignoré (existe déjà)');
                                        }
                                    } // N'existe pas...on insère
                                    else {
                                        $rs2 = 'INSERT INTO `' . TBRLTL . '` SET';
                                        foreach ($tab_nchampcsv as $key => $value) {
                                            if ($value >= 0) {
                                                $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                            }
                                        }
                                        $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                        $tab_result[$nligne + 1] = _('Ajouté');
                                    }
                                    $tab_code[$nligne + 1] = $codetl;
                                    if ($rs2 <> '') {
                                        $db->query($rs2);
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }
                            break;
                        /******************************************************/
                        /**                   DEPARTEMENTS/ETATS             **/
                        /******************************************************/
                        case 'dep' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $codedep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['dep_code']]);
                            $nomdep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['dep_nom']]);
                            $paysdep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['dep_codepays']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $nomdep;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($codedep <> '') AND ($nomdep <> '') AND ($paysdep <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $codedep)) {
                                    // On vérifie le pays
                                    $rech = 'SELECT COUNT(*) FROM `' . TBPAYS . "` WHERE pays_code = '" . $db->escape($paysdep) . "'";
                                    $nbres = $db->get_var($rech);
                                    if ($nbres == 1) {
                                        $rech = 'SELECT * FROM `' . TBDEP . "` WHERE dep_code = '" . $db->escape($codedep) . "' AND dep_codepays = '" . $db->escape($paysdep) . "' ";
                                        $row = $db->get_row($rech, ARRAY_A);

                                        $rs2 = '';

                                        // Existe, on met à jour ?
                                        if ($row) {
                                            if ($_POST['majdep'] == 'O') // Oui, si demandé (sinon, rien faire)
                                            {
                                                $rs2 = 'UPDATE  `' . TBDEP . '` SET';
                                                foreach ($tab_nchampcsv as $key => $value) {
                                                    if ($value >= 0) {
                                                        $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                    }
                                                }
                                                $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                $rs2 .= " WHERE `dep_code`='" . $codedep . "'";
                                                $tab_result[$nligne + 1] = _('Modifié');
                                            } else {
                                                $tab_result[$nligne + 1] = _('Ignoré (existe déjà)');
                                            }
                                        } // N'existe pas...on insère
                                        else {
                                            $rs2 = 'INSERT INTO `' . TBDEP . '` SET';
                                            foreach ($tab_nchampcsv as $key => $value) {
                                                if ($value >= 0) {
                                                    $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                }
                                            }
                                            $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                            $tab_result[$nligne + 1] = _('Ajouté');
                                        }
                                        $tab_code[$nligne + 1] = $codedep;
                                        if ($rs2 <> '') {
                                            $db->query($rs2);
                                        }
                                    } else {
                                        $nb_erreurs++;
                                        $tab_result[$nligne + 1] .= _('Pays inconnu');
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }
                            break;
                        /******************************************/
                        /**                   VILLES             **/
                        /******************************************/
                        case 'villes' :
                            // Récupération valeurs de champs primordiales avec nettoyage
                            $dep = str_majuscules($tab_csv_nfields[$tab_nchampcsv['villes_dep']]);
                            $cp = str_majuscules($tab_csv_nfields[$tab_nchampcsv['villes_cp']]);
                            $nom = str_majuscules($tab_csv_nfields[$tab_nchampcsv['villes_nom']]);
                            $pays = str_majuscules($tab_csv_nfields[$tab_nchampcsv['villes_codepays']]);

                            $tab_result[$nligne + 1] = _('Erreur') . '<br />';
                            $tab_detail[$nligne + 1] = $nom;

                            // On ne traite que les lignes avec les bonnes informations
                            if (($dep <> '') AND ($cp <> '') AND ($nom <> '') AND ($pays <> '')) {
                                // On vérifie le code est bien alphanumérique
                                if (preg_match("/^[a-z,A-Z,0-9]*$/", $dep)) {
                                    // On vérifie le pays
                                    $rech = 'SELECT COUNT(*) FROM `' . TBPAYS . "` WHERE pays_code = '" . $db->escape($pays) . "'";
                                    $nbres = $db->get_var($rech);
                                    if ($nbres == 1) {
                                        // On vérifie le Département
                                        $rech = 'SELECT COUNT(*) FROM `' . TBDEP . "` WHERE dep_code = '" . $db->escape($dep) . "' AND dep_codepays = '" . $db->escape($pays) . "'";
                                        $nbres = $db->get_var($rech);
                                        if ($nbres == 1) {
                                            // On vérifie la combinaison CP/Ville/Département/Pays
                                            $rech = 'SELECT * FROM `' . TBVILLES . "` WHERE villes_cp = '" . $db->escape($cp) . "' AND villes_nom = '" . $db->escape($nom) . "' AND villes_dep='" . $db->escape($dep) . "' AND villes_codepays='" . $db->escape($pays) . "'";
                                            $row = $db->get_row($rech, ARRAY_A);

                                            // Existe, on met à jour ?
                                            if ($row) {
                                                if ($_POST['majvilles'] == 'O') // Oui, si demandé (sinon, rien faire)
                                                {
                                                    extract($row);
                                                    $rs2 = 'UPDATE  `' . TBVILLES . '` SET';
                                                    foreach ($tab_nchampcsv as $key => $value) {
                                                        if ($value >= 0) {
                                                            $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                        }
                                                    }
                                                    $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                    $rs2 .= " WHERE `villes_id`='" . $villes_id . "'";
                                                    $tab_result[$nligne + 1] = _('Modifié');
                                                } else {
                                                    $tab_result[$nligne + 1] = _('Ignoré (existe déjà)');
                                                }
                                            } else {
                                                $rs2 = 'INSERT INTO `' . TBVILLES . '` SET';
                                                foreach ($tab_nchampcsv as $key => $value) {
                                                    if ($value >= 0) {
                                                        $rs2 .= ' `' . $key . "`='" . $db->escape($tab_csv_nfields[$value]) . "',";
                                                    }
                                                }
                                                $rs2 = substr($rs2, 0, - 1); // On enlève la dernière virgule
                                                $tab_result[$nligne + 1] = _('Ajouté');
                                            }
                                            $tab_code[$nligne + 1] = $cp;
                                            if ($rs2 <> '') {
                                                $db->query($rs2);
                                            }
                                        } else {
                                            $nb_erreurs++;
                                            $tab_result[$nligne + 1] .= _('Département inconnu');
                                        }
                                    } else {
                                        $nb_erreurs++;
                                        $tab_result[$nligne + 1] .= _('Pays inconnu');
                                    }
                                } else {
                                    $nb_erreurs++;
                                    $tab_result[$nligne + 1] .= _('Code pas alphanumérique');
                                }
                            } else {
                                $nb_erreurs++;
                                $tab_result[$nligne + 1] .= _('Champ obligatoire manquant ou erroné');
                            }
                            break;
                    }
                }

                $nligne++;

            }
            close_database();
        } else {
            $fic_ok = FALSE;
        }
        fclose($handle);
        $import_fait = TRUE;
    }
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Importation'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>

<?php
include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
?>
<p align="center"><span class="annot_std_gras"><?php echo _('Fichier'); ?> &quot;<span
            class="annot_gras_it"><?php echo valpost('nomfic') ?></span>&quot; <?php echo _('importé'); ?></span></p>

<p align="center"><span class="annot_std_gras"><span
            class="annot_gras_it"><?php echo($nligne - 1) ?><?php echo _('lignes traitées'); ?>
</p>
<?php
if ($nb_erreurs > 0) {
    ?>
    <p align="center"><span class="annot_gras_it"><?php echo _('ATTENTION'); ?> : <?php echo $nb_erreurs;
            if ($nb_erreurs == 1) {
                echo ' ' . _('erreur');
            } else {
                echo ' ' . _('erreurs');
            } ?>.</span></p>
    <?php
}
?>
<p>&nbsp;</p>
<?php
if (($import_ok == TRUE) AND ($fic_ok == TRUE))
{
// détails des importations principales
switch ($td)
{
/******************************************/
/**                   PAYS               **/
/******************************************/
case 'pays' :
?>
<div id="pas_detail_payss" style="display:block">
    <a href="#" class="popa"><img src="../img/view+.png" alt="'<?php echo _('Détails importation pays'); ?>" border="0"
                                  align="absmiddle"
                                  onclick="show_hide('detail_pays', 'pas_detail_pays');"><span><?php echo _('Détail importation pays'); ?></span></a>
</div>
<div id="detail_pays" style="display:none">
    <a href="#" class="popa"><img src="../img/view-.png" alt="'<?php echo _('Pas de détails importation pays'); ?>"
                                  border="0" align="absmiddle"
                                  onclick="show_hide('pas_detail_pays', 'detail_pays');"><span><?php echo _('Pas de détail importation pays'); ?></span></a>
</div>
<!-- Liste des Types licences importés -->
<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
    <th><?php echo _('Ligne'); ?></th>
    <th><?php echo _('Code'); ?></th>
    <th><?php echo _('Nom'); ?></th>
    <th><?php echo _('Effectué'); ?></th>
    <?php
    break;
    /******************************************/
    /**                   VILLES             **/
    /******************************************/
    case 'villes' :
    ?>
    <div id="pas_detail_villes" style="display:block">
        <a href="#" class="popa"><img src="../img/view+.png" alt="'<?php echo _('Détails importation villes'); ?>"
                                      border="0" align="absmiddle"
                                      onclick="show_hide('detail_villes', 'pas_detail_villes');"><span><?php echo _('Détail importation villes'); ?></span></a>
    </div>
    <div id="detail_villes" style="display:none">
        <a href="#" class="popa"><img src="../img/view-.png"
                                      alt="'<?php echo _('Pas de détails importation villes'); ?>" border="0"
                                      align="absmiddle"
                                      onclick="show_hide('pas_detail_villes', 'detail_villes');"><span><?php echo _('pas de détail importation villes'); ?></span></a>
    </div>
    <!-- Liste des Types licences importés -->
    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
        <th><?php echo _('Ligne'); ?></th>
        <th><?php echo _('Code'); ?></th>
        <th><?php echo _('Nom'); ?></th>
        <th><?php echo _('Effectué'); ?></th>
        <?php
        break;
        /************************************************/
        /**                   DEPARTEMENTS             **/
        /************************************************/
        case 'dep' :
        ?>
        <div id="pas_detail_dep" style="display:block">
            <a href="#" class="popa"><img src="../img/view+.png"
                                          alt="'<?php echo _('Détails importation départements'); ?>" border="0"
                                          align="absmiddle"
                                          onclick="show_hide('detail_dep', 'pas_detail_dep');"><span><?php echo _('Détail importation départements'); ?></span></a>
        </div>
        <div id="detail_dep" style="display:none">
            <a href="#" class="popa"><img src="../img/view-.png"
                                          alt="'<?php echo _('Pas de détails importation départements'); ?>" border="0"
                                          align="absmiddle"
                                          onclick="show_hide('pas_detail_dep', 'detail_dep');"><span><?php echo _('Pas de détails importation départements'); ?></span></a>
        </div>
        <!-- Liste des Types licences importés -->
        <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
            <th><?php echo _('Ligne'); ?></th>
            <th><?php echo _('Code'); ?></th>
            <th><?php echo _('Nom'); ?></th>
            <th><?php echo _('Effectué'); ?></th>
            <?php
            break;
            /******************************************************/
            /**                   TYPES LICENCES                 **/
            /******************************************************/
            case 'tl' :
            ?>
            <div id="pas_detail_tl" style="display:block">
                <a href="#" class="popa"><img src="../img/view+.png"
                                              alt="'<?php echo _('Détails importation types licences'); ?>" border="0"
                                              align="absmiddle"
                                              onclick="show_hide('detail_tl', 'pas_detail_tl');"><span><?php echo _('Détail importation types licences'); ?></span></a>
            </div>
            <div id="detail_tl" style="display:none">
                <a href="#" class="popa"><img src="../img/view-.png"
                                              alt="'<?php echo _('Pas de détails importation types licences'); ?>"
                                              border="0" align="absmiddle"
                                              onclick="show_hide('pas_detail_tl', 'detail_tl');"><span><?php echo _('Pas de détail importation types licences'); ?></span></a>
            </div>
            <!-- Liste des Types licences importés -->
            <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                <th><?php echo _('Ligne'); ?></th>
                <th><?php echo _('Code'); ?></th>
                <th><?php echo _('Libellé'); ?></th>
                <th><?php echo _('Effectué'); ?></th>
                <?php
                break;
                /******************************************************/
                /**                       MARQUES                    **/
                /******************************************************/

                case 'mque' :
                ?>
                <div id="pas_detail_mque" style="display:block">
                    <a href="#" class="popa"><img src="../img/view+.png"
                                                  alt="'<?php echo _('Détails importation marques'); ?>" border="0"
                                                  align="absmiddle"
                                                  onclick="show_hide('detail_mque', 'pas_detail_mque');"><span><?php echo _('Détail importation marques'); ?></span></a>
                </div>
                <div id="detail_mque" style="display:none">
                    <a href="#" class="popa"><img src="../img/view-.png"
                                                  alt="'<?php echo _('Pas de détails importation marques'); ?>"
                                                  border="0" align="absmiddle"
                                                  onclick="show_hide('pas_detail_mque', 'detail_mque');"><span><?php echo _('Pas de détail importation marques'); ?></span></a>
                </div>
                <!-- Liste des Marques importées -->
                <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                    <th><?php echo _('Ligne'); ?></th>
                    <th><?php echo _('Code'); ?></th>
                    <th><?php echo _('Nom'); ?></th>
                    <th><?php echo _('Effectué'); ?></th>
                    <?php
                    break;
                    /******************************************************/
                    /**                CATEGORIES MATERIELS              **/
                    /******************************************************/

                    case 'catm' :
                    ?>
                    <div id="pas_detail_catm" style="display:block">
                        <a href="#" class="popa"><img src="../img/view+.png"
                                                      alt="'<?php echo _('Détails importation catégories matériels'); ?>"
                                                      border="0" align="absmiddle"
                                                      onclick="show_hide('detail_catm', 'pas_detail_catm');"><span><?php echo _('Détail importation catégories matériels'); ?></span></a>
                    </div>
                    <div id="detail_catm" style="display:none">
                        <a href="#" class="popa"><img src="../img/view-.png"
                                                      alt="'<?php echo _('Pas de détails importation catégories matériels'); ?>"
                                                      border="0" align="absmiddle"
                                                      onclick="show_hide('pas_detail_catm', 'detail_catm');"><span><?php echo _('Pas de détail importation catégories matériels'); ?></span></a>
                    </div>
                    <!-- Liste des Catégories importées -->
                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                        <th><?php echo _('Ligne'); ?></th>
                        <th><?php echo _('Code'); ?></th>
                        <th><?php echo _('Nom'); ?></th>
                        <th><?php echo _('Effectué'); ?></th>
                        <?php
                        break;

                        /******************************************************/
                        /**                    CLIENTS                       **/
                        /******************************************************/

                        case 'cli' :

                        // Envoi des emails login/MDP aux clients (si demandés) avec copie admin
                        if ($_POST['mailcli'] == 'O') {
                            foreach ($tab_codepass as $key => $value) {
                                // Envoi d'email vers le client
                                envoi_mail('', _('Ouverture de votre compte client'), 'cli', 'cre', 'xxx', 'cli', $key, $value, '', TRUE);
                                // Envoi d'email vers le centre de gestion
                                envoi_mail('', _('Création de client'), 'cli', 'cre', 'xxx', 'cdg', $key, '', '', FALSE);
                            }
                        }

                        // On prévient l'administrateur de la création des répertoires clients
                        // (même si on a pas demandé l'envoi des logins/MDP)
                        foreach ($tab_clirep as $key => $value) {
                            // Envoi d'email vers l'administrateur pour la création du répertoire
                            envoi_mailwm($value, _('Création de répertoire'), 'dir', 'cre', 'xxx', 'wm', $value, '', '');
                        }

                        ?>
                        <div id="pas_detail_cli" style="display:block">
                            <a href="#" class="popa"><img src="../img/view+.png"
                                                          alt="'<?php echo _('Détails importation clients'); ?>"
                                                          border="0" align="absmiddle"
                                                          onclick="show_hide('detail_cli', 'pas_detail_cli');"><span><?php echo _('Détail importation clients'); ?></span></a>
                        </div>
                        <div id="detail_cli" style="display:none">
                            <a href="#" class="popa"><img src="../img/view-.png"
                                                          alt="'<?php echo _('Pas de détails importation clients'); ?>"
                                                          border="0" align="absmiddle"
                                                          onclick="show_hide('pas_detail_cli', 'detail_cli');"><span><?php echo _('Pas de détail importation clients'); ?></span></a>
                        </div>
                        <!-- Liste des Clients importés -->
                        <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                            <th><?php echo _('Ligne'); ?></th>
                            <th><?php echo _('Code'); ?></th>
                            <th><?php echo _('Nom'); ?></th>
                            <th><?php echo _('Effectué'); ?></th>
                            <?php
                            break;

                            /******************************************************/
                            /**                    ARTICLES                      **/
                            /******************************************************/

                            case 'art' :
                            ?>
                            <div id="pas_detail_art" style="display:block">
                                <a href="#" class="popa"><img src="../img/view+.png"
                                                              alt="'<?php echo _('Détails importation articles'); ?>"
                                                              border="0" align="absmiddle"
                                                              onclick="show_hide('detail_art', 'pas_detail_art');"><span><?php echo _('Détail importation articles'); ?></span></a>
                            </div>
                            <div id="detail_art" style="display:none">
                                <a href="#" class="popa"><img src="../img/view-.png"
                                                              alt="'<?php echo _('Pas de détails importation articles'); ?>"
                                                              border="0" align="absmiddle"
                                                              onclick="show_hide('pas_detail_art', 'detail_art');"><span><?php echo _('Pas de détail importation articles'); ?></span></a>

                                <!-- Liste des Articles importés -->
                                <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                    <th><?php echo _('Ligne'); ?></th>
                                    <th><?php echo _('Code'); ?></th>
                                    <th><?php echo _('Libellé'); ?></th>
                                    <th><?php echo _('Opération'); ?></th>
                                    <?php
                                    break;
                                    }

                                    $i = 0;
                                    foreach ($tab_result as $key => $value) {
                                        if (stristr($value, _('Erreur'))) {
                                            echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalterErr\'" class="TRalterErr">';
                                        } else {
                                            if ($i % 2 == 0) {
                                                echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter1\'" class="TRalter1">';
                                            } else {
                                                echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter2\'" class="TRalter2">';
                                            }
                                        }
                                        echo '<td>' . $key . '</td>';
                                        echo '<td>';
                                        if (trim($tab_code[$key]) <> '') {
                                            echo $tab_code[$key];
                                        } else {
                                            echo '&nbsp;';
                                        }
                                        echo '</td>';
                                        echo '<td>' . $tab_detail[$key] . '</td>';
                                        echo '<td align="center">' . $value . '</td>';
                                        echo '</tr>';
                                        $i++;
                                    }
                                    ?>
                                </table>
                            </div>
                            <br/>
                            <?php
                            // détails des importations complémentaires
                            switch ($td) {
                                /******************************************************/
                                /**                    CLIENTS                       **/
                                /******************************************************/

                            case 'cli' :
                                ?>
                                <div id="pas_detail_cat" style="display:block">
                                    <a href="#" class="popa"><img src="../img/view+.png"
                                                                  alt="'<?php echo _('Détails importation catégories'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('detail_cat', 'pas_detail_cat');"><span><?php echo _('Détail importation catégories'); ?></span></a>
                                </div>
                                <div id="detail_cat" style="display:none">
                                    <a href="#" class="popa"><img src="../img/view-.png"
                                                                  alt="'<?php echo _('Pas de détails importation catégories'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('pas_detail_cat', 'detail_cat');"><span><?php echo _('Pas de détail importation catégories'); ?></span></a>

                                    <!-- Liste des Catégories importées -->
                                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                        <th><?php echo _('Code'); ?></th>
                                        <th><?php echo _('Libellé'); ?></th>
                                        <th><?php echo _('Opération'); ?></th>
                                        <?php
                                        $i = 0;
                                        foreach ($tab_cat_detail as $key => $value) {
                                            echo '<tr>';
                                            echo '<td>' . $key . '</td>';
                                            echo '<td>' . stripslashes($value) . '</td>';
                                            echo '<td align="center">' . $tab_cat_result[$key] . '</td>';
                                            echo '</tr>';
                                            $i++;
                                        }
                                        ?>
                                    </table>
                                </div>
                            <br/>

                                <div id="pas_detail_civ" style="display:block">
                                    <a href="#" class="popa"><img src="../img/view+.png"
                                                                  alt="'<?php echo _('Détails importation civilités'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('detail_civ', 'pas_detail_civ');"><span><?php echo _('Détail importation civilité'); ?></span></a>
                                </div>
                                <div id="detail_civ" style="display:none">
                                    <a href="#" class="popa"><img src="../img/view-.png"
                                                                  alt="'<?php echo _('Pas de détails importation civilités'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('pas_detail_civ', 'detail_civ');"><span><?php echo _('Pas de détail importation civilité'); ?></span></a>

                                    <!-- Liste des civilités importées -->
                                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                        <th><?php echo _('Code'); ?></th>
                                        <th><?php echo _('Libellé'); ?></th>
                                        <th><?php echo _('Opération'); ?></th>
                                        <?php
                                        $i = 0;
                                        foreach ($tab_civ_detail as $key => $value) {
                                            if (stristr($value, _('Erreur'))) {
                                                echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalterErr\'" class="TRalterErr">';
                                            } else {
                                                if ($i % 2 == 0) {
                                                    echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter1\'" class="TRalter1">';
                                                } else {
                                                    echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter2\'" class="TRalter2">';
                                                }
                                            }
                                            echo '<td>' . $key . '</td>';
                                            echo '<td>' . stripslashes($value) . '</td>';
                                            echo '<td align="center">' . $tab_civ_result[$key] . '</td>';
                                            echo '</tr>';
                                            $i++;
                                        }
                                        ?>
                                    </table>
                                </div>
                            <br/>
                            <?php
                            if (($gencat == TRUE) OR ($genciv == TRUE)) {
                            ?>
                                <p align="center">
                                    <input name="nul" type="button" class="bton_std" id="nul"
                                           value="<?php echo _('Retour accueil'); ?>"
                                           onClick="self.location.href=('index.php');">
                                </p>
                            <?php
                            } else {
                            if (($nsaisies_cat > 0) OR ($nsaisies_civ > 0)) {
                            ?>
                                <script language="javascript">
                                    <!--
                                    var tab1_champ = [];
                                    //-->
                                </script>
                            <br/>
                                <p align="center"
                                   class="annot_std_gras"><?php echo _('Saisie des catégories et civilités créées'); ?></p>
                                <!-- Formulaire permettant la modification des libellés catégories créés -->
                                <form name="saiscatciv" id="saiscatciv" method="post" action="add_catciv.php"
                                      onSubmit="return (VForm(this,tab1_champ,'','<?php echo $_SESSION['lng']; ?>'));">
                                    <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
                                    <!-- Saisie des Catégories importées -->
                                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                        <th><?php echo _('Code'); ?></th>
                                        <th><?php echo _('Libellé'); ?></th>
                                        <tr class="TRalter1D">
                                            <?php
                                            if ($nsaisies_cat > 0)
                                            {
                                            ?>
                                        <tr class="TRalter1D">
                                            <td colspan="2" align="center" height="30" class="annot_std_gras"
                                                style="color:#FFFF00;">
                                                <?php echo _('CATEGORIES'); ?>
                                            </td>
                                        </tr>
                                        <?php
                                        foreach ($tab_cat_detail as $key => $value) {
                                            $asaisir = TRUE;
                                            if ($tab_cat_result[$key] != _('Saisir')) {
                                                $asaisir = FALSE;
                                            }
                                            if ($asaisir == TRUE) {
                                                echo '<tr>';
                                                echo '<td width="30%" align="right" style="font-weight:bold; margin-right:5px;">' . $key . '</td>';
                                                echo '<td>';
                                                echo '<input type="hidden" name="codecat[]" size="5"value="' . stripslashes($key) . '">';
                                                echo '<input type="text" name="descat[]" size="50" style="margin-left:5px;" value="' . stripslashes($value) . '">';
                                                echo '</td>';
                                                echo '</tr>';
                                            }
                                        }
                                        }

                                        if ($nsaisies_civ > 0) {
                                            ?>
                                            <tr class="TRalter1D">
                                                <td colspan="2" align="center" height="30" class="annot_std_gras"
                                                    style="color:#FFFF00;">
                                                    <?php echo _('CIVILITES'); ?>
                                                </td>
                                            </tr>
                                            <?php
                                            foreach ($tab_civ_detail as $key => $value) {
                                                $asaisir = TRUE;
                                                if ($tab_civ_result[$key] != _('Saisir')) {
                                                    $asaisir = FALSE;
                                                }
                                                if ($asaisir == TRUE) {
                                                    echo '<tr>';
                                                    echo '<td width="30%" align="right" style="font-weight:bold; margin-right:5px;">' . $key . '</td>';
                                                    echo '<td>';
                                                    echo '<input type="hidden" name="codeciv[]" size="5"value="' . stripslashes($key) . '">';
                                                    echo '<input type="text" name="desciv[]" size="50" style="margin-left:5px;" value="' . stripslashes($value) . '">';
                                                    echo '</td>';
                                                    echo '</tr>';
                                                }
                                            }
                                        }
                                        ?>
                                    </table>
                                    <p align="center">
                                        <input name="val" type="submit" class="bton_std" id="val"
                                               value="<?php echo _('Valider'); ?>">
                                        <input name="nul" type="button" class="bton_std" id="nul"
                                               value="<?php echo _('Laisser tel quel'); ?>"
                                               onClick="self.location.href=('index.php');">
                                        <input name="RAZ" type="reset" class="bton_std" id="RAZ"
                                               value="<?php echo _('Réinitialiser'); ?>">
                                    </p>
                                </form>
                            <?php
                            } else {
                            ?>
                            <br/>
                                <span
                                    class="annot_std_it"><?php echo _('Pas de catégorie ou de civilité créée'); ?></span>
                                <p align="center">
                                    <input name="nul" type="button" class="bton_std" id="nul"
                                           value="<?php echo _('Retour accueil'); ?>"
                                           onClick="self.location.href=('index.php');">
                                </p>
                            <?php
                            }
                            }

                            break;

                            /******************************************************/
                            /**                    ARTICLES                      **/
                            /******************************************************/

                            case 'art' :
                            ?>
                                <div id="pas_detail_fam" style="display:block">
                                    <a href="#" class="popa"><img src="../img/view+.png"
                                                                  alt="'<?php echo _('Détails importation familles'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('detail_fam', 'pas_detail_fam');"><span><?php echo _('Détail importation familles'); ?></span></a>
                                </div>
                                <div id="detail_fam" style="display:none">
                                    <a href="#" class="popa"><img src="../img/view-.png"
                                                                  alt="'<?php echo _('Pas de détails importation familles'); ?>"
                                                                  border="0" align="absmiddle"
                                                                  onclick="show_hide('pas_detail_fam', 'detail_fam');"><span><?php echo _('Pas de détail importation familles'); ?></span></a>

                                    <!-- Liste des Familles importées -->
                                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                        <th><?php echo _('Code'); ?></th>
                                        <th><?php echo _('Libellé'); ?></th>
                                        <th><?php echo _('Opération'); ?></th>
                                        <?php
                                        $i = 0;
                                        foreach ($tab_fam_detail as $key => $value) {
                                            if (stristr($value, 'Erreur')) {
                                                echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalterErr\'" class="TRalterErr">';
                                            } else {
                                                if ($i % 2 == 0) {
                                                    echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter1\'" class="TRalter1">';
                                                } else {
                                                    echo '<tr onmouseover="this.className=\'TRsel\'" onmouseout="this.className=\'TRalter2\'" class="TRalter2">';
                                                }
                                            }
                                            echo '<td>' . $key . '</td>';
                                            echo '<td>' . stripslashes($value) . '</td>';
                                            echo '<td align="center">' . $tab_fam_result[$key] . '</td>';
                                            echo '</tr>';
                                            $i++;
                                        }
                                        ?>
                                    </table>
                                </div>
                            <?php
                            if ($genfam == TRUE) {
                            ?>
                                <p align="center">
                                    <input name="nul" type="button" class="bton_std" id="nul"
                                           value="<?php echo _('Retour accueil'); ?>"
                                           onClick="self.location.href=('index.php');">
                                </p>
                            <?php
                            } else {
                            if ($nsaisies_fam > 0) {
                            ?>
                                <script language="javascript">
                                    <!--
                                    var tab1_champ = new Array(
                                        "nom:desfam[] ; format:txt ; req:Y ; txt:<?php echo _('Libellé'); ?> ; lmx:50 ; stok:frmok ; stbad:frmbad");
                                    //-->
                                </script>
                            <br/>
                                <!-- Formulaire permettant la modification des libellés familles créés -->
                                <p align="center" class="annot_std_gras">Saisie des familles créées</p>
                                <form name="saisfam" id="saisfam" method="post" action="add_fam.php"
                                      onSubmit="return (VForm(this,tab1_champ,'','<?php echo $_SESSION['lng']; ?>'));">
                                    <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
                                    <!-- Saisie des Familles importées -->
                                    <table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">
                                        <th><?php echo _('Code'); ?></th>
                                        <th><?php echo _('Libellé'); ?></th>
                                        <?php
                                        foreach ($tab_fam_detail as $key => $value) {
                                            $asaisir = TRUE;
                                            if ($tab_fam_result[$key] != _('Saisir')) {
                                                $asaisir = FALSE;
                                            }
                                            if ($asaisir == TRUE) {
                                                echo '<tr>';
                                                echo '<td width="30%" align="right" style="font-weight:bold; margin-right:5px;">' . $key . '</td>';
                                                echo '<td>';
                                                echo '<input type="hidden" name="codefam[]" size="20"value="' . stripslashes($key) . '">';
                                                echo '<input type="text" name="desfam[]" size="50" style="margin-left:5px;" value="' . stripslashes($value) . '">';
                                                echo '</td>';
                                                echo '</tr>';
                                            }
                                        }
                                        ?>
                                    </table>
                                    <p align="center">
                                        <input name="val" type="submit" class="bton_std" id="val"
                                               value="<?php echo _('Valider'); ?>">
                                        <input name="nul" type="button" class="bton_std" id="nul"
                                               value="<?php echo _('Laisser tel quel'); ?>"
                                               onClick="self.location.href=('index.php');">
                                        <input name="RAZ" type="reset" class="bton_std" id="RAZ"
                                               value="<?php echo _('Réinitialiser'); ?>">
                                    </p>
                                </form>
                            <?php
                            } else {
                            ?>
                            <br/>
                                <span class="annot_std_it"><?php echo _('Pas de famille créée'); ?></span>
                                <p align="center">
                                    <input name="nul" type="button" class="bton_std" id="nul"
                                           value="<?php echo _('Retour accueil'); ?>"
                                           onClick="self.location.href=('index.php');">
                                </p>
                                <?php
                            }
                            }

                                break;
                                default :
                                    break;
                            }
                            }
                            else {
                                if ($import_ok == FALSE) {
                                    pop_ret_auto(_("Type d'importation incorrect"), 'warn', 'index.php');
                                }

                                if ($fic_ok == FALSE) {
                                    pop_ret_auto(_('Problème sur fichier à importer'), 'warn', 'index.php');
                                }
                            }
                            include_once('pied.php');
                            ?>
</body>
</html>